#include <stdio.h>

//#include <fitz.h>
#include <mupdf/fitz.h>

int node_count(fz_outline* node) {
    int c = 0;
    while (node) {
        c += 1 + node_count(node->down);
        node = node->next;
    }
    return c;
}

void test_speed() {
    fz_context *ctx = fz_new_context(NULL, NULL, FZ_STORE_UNLIMITED);
    fz_document *doc = fz_open_document(ctx, "test.pdf");

    int pagecount = fz_count_pages(doc);
    printf("  Page count: %d\n", pagecount);

    fz_outline *outline = fz_load_outline	(doc);
    printf("  Outline count: %d\n", node_count(outline));
}

int main(void)
{
    test_speed();
    return 0;
}
